/*!
 * jQuery Form Plugin
 * version: 1
 * @requires jQuery v1.3.2 or later
 */
(function($) {

$.fn.cwfClearForm = function() {
  return this.each(function() {
    if (this.tagName.toLowerCase() == "form") {
      return $(":input",this).cwfClearForm();
    }
    switch (this.type) {
      case "password":
      case "textarea":
      case "text":
      case "hidden":
        this.value = "";
        break;
      case "select-multiple":
      case "select-one":
        this.selectedIndex = -1;
        break;
      case "radio":
      case "checkbox":
        this.checked = false;
        break;
    }
  });
};

})(jQuery);